安装

环境准备

  1. 运行环境

Java SDK工具包可在 jdk1.6、jdk1.7、jdk1.8环境下运行。

  1. 鉴权和认证

要使用百度智能云产品,您需要拥有一个百度智能云账号和一个有效的 AK(Access Key ID)、SK(Secret Access Key)用来进行签名认证。

可以通过如下步骤获得并了解您的AK/SK信息:

  1. 注册百度智能云账号
  2. 创建AK/SK

下载和安装

方式一:使用Maven安装

在 Maven 的 pom.xml 文件中添加 bce-java-sdk 的依赖:

<dependency>
    <groupId>com.baidubce</groupId>
    <artifactId>bce-java-sdk</artifactId>
    <version>{version}</version>
</dependency>

其中,{version}为版本号,可以在开发者资源SDK中心找到。

方式二:直接使用JAR包安装

  1. 官方网站下载Java SDK压缩工具包。
  2. 将下载的bce-java-sdk-version.zip解压后,复制到工程文件夹中。
  3. 在Eclipse右键“工程 -> Properties -> Java Build Path -> Add JARs”。
  4. 添加SDK工具包lib/bce-java-sdk-version.jar和第三方依赖工具包third-party/*.jar
    其中,version为版本号。

SDK目录结构

com.baidubce
       ├── auth                                        //BCE签名相关类
       ├── http                                        //BCE的Http通信相关类
       ├── internal                                    //SDK内部类
       ├── model                                       //BCE公用model类
       ├── services
       │       └── iotpki                             //pki服务相关类
       │           ├── model                          //pki内部model,如Request或Response
       │           └── IotPkiManageClient.class       //pki客户端入口类
       ├── util                                        //BCE公用工具类
       ├── BceClientConfiguration.class                //对BCE的HttpClient的配置
       ├── BceClientException.class                    //BCE客户端的异常类
       ├── BceServiceException.class                   //与BCE服务端交互后的异常类
       ├── ErrorCode.class                             //BCE通用的错误码
       └── Region.class                                //BCE提供服务的区域